public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jaraco-context/
Date: Wed, 21 Aug 2024 03:14:05 +0000 (UTC)	[thread overview]
Message-ID: <1724210039.a6b353902c50efa5b7b55375d88463cf5d730591.mgorny@gentoo> (raw)

commit:     a6b353902c50efa5b7b55375d88463cf5d730591
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 21 02:58:35 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 21 03:13:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a6b35390

dev-python/jaraco-context: Bump to 6.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jaraco-context/Manifest                 |  1 +
 .../jaraco-context/jaraco-context-6.0.1.ebuild     | 62 ++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/jaraco-context/Manifest b/dev-python/jaraco-context/Manifest
index 32666e593aa6..505c90324760 100644
--- a/dev-python/jaraco-context/Manifest
+++ b/dev-python/jaraco-context/Manifest
@@ -1,2 +1,3 @@
 DIST jaraco.context-5.3.0.tar.gz 13345 BLAKE2B d2f429335ea80a6b50ea9574adc45c25c0fc78e8ebb5edde218bcbbe7a2b27ae6b5c17453e71904240d0d873ebef36f7c7aeda4424d3fea2dd9aaf01af6fb4c5 SHA512 f63bf272c45ff5c43499621651b78841259040ac98d67c9db75fadebb1c497c1156e05f23bf7c91df3e91f1e070acb9f7dc665e7b242ba7b1ac1cf99a619494d
 DIST jaraco_context-6.0.0.tar.gz 14118 BLAKE2B 96901d173426e8bad5755c0e21ba789daf4217a7ed94efb81fdb3daf2d9a13f5875a17fa20a5193bb6a7a7c772b2b77e3b85a465039bdefa6231075a45133fda SHA512 a831ee8b732fc2b40e7de81d390fb5869317a127e5999a1c4f00f3ab81e04d4021733816e813c1ddbc1370540aca6205353c7a024f60d6f0dc59545abe505fa6
+DIST jaraco_context-6.0.1.tar.gz 13912 BLAKE2B e249916d41e936c4f261e5e4330f3d6b26b159772a1284521168313f41ef296ca82930e46837ae8ea7c895f7471bc039d5b42a8d4eceb0718056ff4b82d79cba SHA512 5711f581a616a18f7b7dbac65550255c7eecfae39df04b675817b16fbc5d61b833617d853c40f0b910c0ba5d144baf4c4b2add155c9b91001209b27da594a801

diff --git a/dev-python/jaraco-context/jaraco-context-6.0.1.ebuild b/dev-python/jaraco-context/jaraco-context-6.0.1.ebuild
new file mode 100644
index 000000000000..bb3bb1f1507b
--- /dev/null
+++ b/dev-python/jaraco-context/jaraco-context-6.0.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Context managers by jaraco"
+HOMEPAGE="
+	https://github.com/jaraco/jaraco.context/
+	https://pypi.org/project/jaraco.context/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/backports-tarfile[${PYTHON_USEDEP}]
+	' 3.10 3.11)
+"
+BDEPEND="
+	test? (
+		dev-python/portend[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+	# Internet
+	jaraco/context/__init__.py::jaraco.context.repo_context
+)
+
+src_configure() {
+	grep -q 'build-backend = "setuptools' pyproject.toml ||
+		die "Upstream changed build-backend, recheck"
+	# write a custom pyproject.toml to ease setuptools bootstrap
+	cat > pyproject.toml <<-EOF || die
+		[build-system]
+		requires = ["flit_core >=3.2,<4"]
+		build-backend = "flit_core.buildapi"
+
+		[project]
+		name = "jaraco.context"
+		version = "${PV}"
+		description = "Context managers by jaraco"
+	EOF
+}
+
+python_install() {
+	distutils-r1_python_install
+	# rename to workaround a bug in pkg_resources
+	# https://bugs.gentoo.org/834522
+	mv "${D}$(python_get_sitedir)"/jaraco{_,.}context-${PV}.dist-info || die
+}


             reply	other threads:[~2024-08-21  3:14 UTC|newest]

Thread overview: 71+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-21  3:14 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07 10:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/jaraco-context/ Michał Górny
2024-09-07 10:38 Arthur Zamarin
2024-08-20  1:29 Michał Górny
2024-07-18 19:26 Fabian Groffen
2024-07-02  5:00 Michał Górny
2024-04-28 19:11 Ionen Wolkens
2024-04-28 19:11 Ionen Wolkens
2024-04-24 16:26 Arthur Zamarin
2024-04-24 16:26 Arthur Zamarin
2024-04-24 16:26 Arthur Zamarin
2024-04-24 16:26 Arthur Zamarin
2024-04-24 16:25 Arthur Zamarin
2024-04-24 16:25 Arthur Zamarin
2024-04-20  9:51 Michał Górny
2024-04-20  9:48 Michał Górny
2024-04-09 15:54 Arthur Zamarin
2024-04-07 15:21 James Le Cuirot
2024-04-07 11:55 Jakov Smolić
2024-04-07  6:51 Arthur Zamarin
2024-04-07  6:25 Arthur Zamarin
2024-04-07  6:21 Arthur Zamarin
2024-04-07  6:21 Arthur Zamarin
2024-04-07  3:00 Michał Górny
2024-04-05  2:45 Michał Górny
2023-03-21 16:45 Michał Górny
2023-02-21  7:50 Michał Górny
2023-02-20 19:11 Arthur Zamarin
2023-02-12 19:05 Michał Górny
2023-02-07  9:26 Michał Górny
2023-01-20  4:50 Michał Górny
2023-01-19  6:08 Michał Górny
2022-12-25 17:41 Michał Górny
2022-12-25 17:33 Michał Górny
2022-11-19  9:42 Michał Górny
2022-08-17 19:40 Arthur Zamarin
2022-08-17 18:45 Sam James
2022-07-14 18:34 Arthur Zamarin
2022-03-27  9:50 Fabian Groffen
2022-03-20 18:33 Arthur Zamarin
2022-03-19 16:00 Arthur Zamarin
2022-03-18 10:06 Arthur Zamarin
2022-03-17  7:45 Agostino Sarubbo
2022-03-04  7:57 Michał Górny
2022-03-04  7:18 Michał Górny
2022-02-27 18:52 Michał Górny
2022-02-27 12:23 Jakov Smolić
2022-02-13  9:33 Joshua Kinard
2022-02-13  5:40 Matt Turner
2022-02-11 19:13 Arthur Zamarin
2022-02-07 21:15 James Le Cuirot
2022-02-05 11:01 Arthur Zamarin
2022-02-04 12:04 Michał Górny
2022-02-03 10:58 Michał Górny
2021-12-02  9:39 Michał Górny
2021-12-02  8:40 Arthur Zamarin
2021-11-01  8:32 Michał Górny
2021-09-02 17:06 Marek Szuba
2021-05-06 14:44 Michał Górny
2021-03-02  1:36 Sam James
2021-03-02  1:01 Michał Górny
2021-01-29  9:00 Michał Górny
2020-09-21 15:30 Michał Górny
2020-09-13  8:44 Sergei Trofimovich
2020-09-09  0:58 Sam James
2020-09-08 22:58 Sam James
2020-07-23 23:06 Sam James
2020-07-23 22:12 Sam James
2020-07-21  8:23 Sergei Trofimovich
2020-07-20 21:02 Sam James
2020-07-20 21:02 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1724210039.a6b353902c50efa5b7b55375d88463cf5d730591.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox